TkRat(1)

NAME
tkrat - a window-based Mail User Agent

SYNOPSIS
tkrat [-confdir directory] [-appname name] [-open [spec]] [-opennew [spec]] [-compose [predef]] [-netsync [set]] [-blank]

DESCRIPTION
TkRat is a graphical Mail User Agent (MUA) which is based on the c-client and tcl/tk toolkits. Its primary purpose is to allow the user to read and send internet mail as defined in the relevant rfcs. The current goals with the TkRat project is to create a MUA which is easy to use but still powerful and fast.

The only documentation of how TkRat should be used is contained in the program. Both as a number of help-pages and as balloon help over almost every feature in the program.

Some of the actions of TkRat can be controlled by the command line options. The program also checks for an already running instances of itself and if it finds one it reuses that one to carry out the command line arguments. That means that you can remote control an already running instance via the command line.

OPTIONS
If no arguments are given on the command line TkRat defaults to open your incoming mailbox. TkRat accepts the following command line options:

-confdir directory
    Use this to specify a different default configuration directory than ~/.ratatosk.

-appname name
    Use the given name as name of the application. This name is used to locate already running instances of TkRat. That means that if you want to run two different instances you must change the name of one of them via this option. The default value is tkrat.

-open [spec]
    Opens a folder in an existing folder window (the currently open folder is closed). If no window exists the a new one is created. Which folder to open is specified in the optional spec argument. If it is not present then the incoming mailbox is assumed. Otherwise spec may be the name of one of the users defined folders (case is significant) or a full folder specification (see the file CONFIGURATION in the source release for details).

-opennew [spec]
    Works as -open but always opens the folder in a new window.

-compose [predef]
    Opens the compose window so that the user may compose a new message. Default for some header-fields can be given in the predef argument. This should be a list with and even number of elements separated by space (remember to put quotes around the entire list). The first element is the name of a header-field (case does not matter) and the second is the value of that field. The third value is the name of another header field and the fourth is that value etc. The following header-fields can be given values: to, cc, bcc, from, subject, date, reply_to, in_reply_to and message_id

-netsync [set]
    Performs network synchronization. This may mean that deferred messages are sent, disconnected mailboxes updated or arbitrary commands are run. Exactly which action will be performed is controlled by the optional set argument. If it is not present then the actions which the user has defined in the "Setup Network sync" window are performed. If it is specified it should be on the form of a list with the elements separated by spaces. Those actions mentioned in the list will be performed. The possible actions are:

    send
        Sends any deferred messages.

    fetch
        Updates all disconnected folders

    cmd Runs the command specified by the user

-blank
    Opens a blank folder window. This is useful if you want to start without opening any folders.

EXAMPLES
Three different ways of opening the users incoming mailbox:
    tkrat

    tkrat -open

    tkrat -open INBOX This assumes that the inbox is named INBOX in the users list of folders

To start composing a message to foo@bar.com with the subject Gurka i lungan use:
    tkrat -compose "to foo@bar.com subject 'Gurka i lungan'"

FILES
$HOME/.ratatosk

WWW
Information on the latest version as well as known bugs and some more is available on the homepage of TkRat on the WWW. This page can be found at: http://www.tkrat.org/

AUTHOR
TkRat is written Martin Forssen <maf@math.chalmers.se>